VULKAN_HPP_NAMESPACE::SparseImageFormatProperties2 Struct Reference

`#include <vulkan.hpp>`

Collaboration diagram for VULKAN_HPP_NAMESPACE::SparseImageFormatProperties2:
[legend]

## Public Member Functions

| operator VkSparseImageFormatProperties2 const & () const
| operator VkSparseImageFormatProperties2 & ()
bool | operator== (SparseImageFormatProperties2 const &rhs) const
bool | operator!= (SparseImageFormatProperties2 const &rhs) const

## Data Fields

void * | pNext = nullptr
SparseImageFormatProperties | properties

## Private Attributes

StructureType | sType = StructureType::eSparseImageFormatProperties2

## Detailed Description

Definition at line 26054 of file vulkan.hpp.

## Member Function Documentation

## operator VkSparseImageFormatProperties2 &()

VULKAN_HPP_NAMESPACE::SparseImageFormatProperties2::operator VkSparseImageFormatProperties2 & | ( |  | ) |

inline

Definition at line 26061 of file vulkan.hpp.

{
return *reinterpret_cast<VkSparseImageFormatProperties2*>(this);
}

## operator VkSparseImageFormatProperties2 const &()

VULKAN_HPP_NAMESPACE::SparseImageFormatProperties2::operator VkSparseImageFormatProperties2 const & | ( |  | ) | const

inline

Definition at line 26056 of file vulkan.hpp.

{
return *reinterpret_cast<const VkSparseImageFormatProperties2*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::SparseImageFormatProperties2::operator!= | ( | SparseImageFormatProperties2 const & | rhs | ) | const

inline

Definition at line 26073 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator==()

bool VULKAN_HPP_NAMESPACE::SparseImageFormatProperties2::operator== | ( | SparseImageFormatProperties2 const & | rhs | ) | const

inline

Definition at line 26066 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( properties == rhs.properties );
}

References pNext, properties, and sType.

Referenced by operator!=().

## Field Documentation

## pNext

void* VULKAN_HPP_NAMESPACE::SparseImageFormatProperties2::pNext = nullptr

Definition at line 26082 of file vulkan.hpp.

Referenced by operator==().

## properties

SparseImageFormatProperties VULKAN_HPP_NAMESPACE::SparseImageFormatProperties2::properties

Definition at line 26083 of file vulkan.hpp.

Referenced by operator==().

## sType

StructureType VULKAN_HPP_NAMESPACE::SparseImageFormatProperties2::sType = StructureType::eSparseImageFormatProperties2

private

Definition at line 26079 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::SparseImageFormatProperties2::operator==
bool operator==(SparseImageFormatProperties2 const &rhs) const
Definition: vulkan.hpp:26066
VULKAN_HPP_NAMESPACE::SparseImageFormatProperties2::properties
SparseImageFormatProperties properties
Definition: vulkan.hpp:26083
VULKAN_HPP_NAMESPACE::SparseImageFormatProperties2::sType
StructureType sType
Definition: vulkan.hpp:26079
VkSparseImageFormatProperties2
Definition: vulkan_core.h:4198
VULKAN_HPP_NAMESPACE::SparseImageFormatProperties2::pNext
void * pNext
Definition: vulkan.hpp:26082